## gnustep-base 1.27.0

=== debian/changelog ===
gnustep-base (1.27.0-3) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/compat: Bump to 13.
  * debian/templates/control.m4 (Build-Depends): Bump debhelper
    requirement to match the compat level.
  * debian/control: Regenerate.
  * debian/not-installed: Add /usr/bin/pl.
  * debian/patches/icu65.patch: Replace with the fix that was actually
    committed upstream.
  * debian/patches/hurd-nsurlconnection.patch: New; mark a test as hopeful
    on GNU/Hurd until we figure out why it is failing.
  * debian/patches/gstls-time_t-limitation.patch: Mark as forwarded.
  * debian/patches/series: Update.
  * debian/templates/libgnustep-baseN.lintian-overrides.m4: Replace
    shlibs-declares-dependency-on-other-package with
    distant-prerequisite-in-shlubs (tag renamed by Lintian).

 -- Yavor Doganov <yavor@gnu.org>  Thu, 11 Jun 2020 20:13:29 +0300

gnustep-base (1.27.0-2) experimental; urgency=medium

  * debian/patches/gstls-time_t-limitation.patch: New; skip certificate
    expiration test on all 32-bit architectures as it is doomed to fail.
  * debian/patches/series: Update.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 28 Apr 2020 11:34:07 +0300

gnustep-base (1.27.0-1) experimental; urgency=medium

  * New upstream release:
    - SONAME change: libgnustep-base1.26 -> 1.27.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/templates/control.m4 (gnustep-base-doc): Remove Breaks and
    Replaces: gnustep-base-examples; no longer needed.
  * debian/control: Regenerate, reflecting the SONAME change.
  * debian/clean: Update for the new SONAME.
  * debian/patches/no-xml-config.patch: Remove; merged upstream.
  * debian/patches/gdomap-udp-amplification.patch: Likewise.
  * debian/patches/icu65.patch: Remove hunks applied upstream.
  * debian/patches/armhf-test.patch: Remove since the test now passes on
    arm64 buildds, both Debian's and Ubuntu's.  As mysterious it may be,
    it looks like it was due to a libffi and/or toolchain bug(s) which
    apparently have been fixed (Closes: #918366).
  * debian/patches/series: Update.
  * debian/rules (override_dh_auto_test): Remove armhf workaround.
    (DEB_LDFLAGS_MAINT_APPEND): Drop -Wl,--as-needed; now GCC default.
  * debian/copyright: Bump copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 16 Apr 2020 18:54:21 +0300

gnustep-base (1.26.0-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Fix day-of-week for changelog entries 0.5.0.981222-1.

  [ Yavor Doganov ]
  * debian/patches/no-xml-config.patch: New; detect libxml2 with
    pkg-config instead of xml-config (Closes: #949152).
  * debian/patches/icu65.patch: New; compatibility fixes for ICU 65
    (Closes: #952156).
  * debian/patches/series: Update.
  * debian/templates/control.m4 (Rules-Requires-Root): Set to "no".
    (Standards-Version): Bump to 4.5.0.  I intentionally ignore the new
    requirement to include a systemd service unit.  The init script works
    on all GNU variants, has some hardening features, so I fail to see why
    this functionality should be duplicated.
  * debian/control: Regenerate.
  * debian/copyright: Bump copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 03 Apr 2020 16:46:00 +0300

gnustep-base (1.26.0-6) unstable; urgency=medium

  * debian/gnustep-base-runtime.preinst: Use a different approach that
    actually does the job (really closes: #939119).  Thanks Alan Jenkins.
  * debian/NEWS: Document that the gdomap daemon is disabled forcefully.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 20 Sep 2019 13:43:28 +0300

gnustep-base (1.26.0-5) unstable; urgency=medium

  * debian/gnustep-base-runtime.preinst: New file; handle the poor
    upgrade from stretch to buster which left the gdomap daemon enabled
    (Closes: #939119).  Thanks to Alan Jenkins.
  * debian/gnustep-base-runtime.maintscript: Delete; migration done.
  * debian/libgnustep-base-dev.maintscript: Likewise.
  * debian/gnustep-base-doc.links: New file; install symlinks in
    /usr/share/doc pointing to /usr/share/GNUstep/Documentation.
  * debian/gnustep-base-doc.doc-base.additions: Use /usr/share/doc
    symlinks for doc-base registration; fixes a lintian error.
  * debian/gnustep-base-doc.doc-base.base: Likewise.
  * debian/gnustep-base-doc.doc-base.manual: Likewise.
  * debian/gnustep-base-doc.doc-base.standards: Likewise.
  * debian/gnustep-base-doc.doc-base.tools: Likewise.
  * debian/patches/gdomap-udp-amplification.patch: New; fix UDP
    amplification vulnerability.  Thanks Alan Jenkins.
  * debian/patches/fix-spelling-error.patch: Fix yet another typo.
  * debian/patches/series: Update.
  * debian/templates/control.m4 (Standards-Version): Bump to 4.4.0; no
    changes required.
  * debian/control: Regenerate.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 18 Sep 2019 00:38:19 +0300
