=== debian/changelog ===
gnustep-base (1.28.0-4build1) jammy; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Feb 2022 05:52:13 +0100

gnustep-base (1.28.0-4) unstable; urgency=medium

  * debian/patches/kbsd-test.patch: New; skip an NSFileManager failing
    test on GNU/kFreeBSD and obtain result instead.
  * debian/patches/series: Update.
  * debian/rules (override_dh_auto_test): Print test result.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 10 Dec 2021 10:42:55 +0200

gnustep-base (1.28.0-3) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/clean: Fix build twice in a row which got accidentally broken
    in 1.28.0-1 by yours truly.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 07 Dec 2021 01:46:20 +0200

gnustep-base (1.28.0-2) experimental; urgency=medium

  * debian/rules (override_dh_auto_configure): Pass
    --with-installation-domain in an attempt to fix a completely awkward
    build failure on GNU/Hurd.
  * debian/not-installed: Remove pl tool, now installed.
  * debian/clean: Use glob patterns for generated library files.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 16 Nov 2021 23:34:46 +0200

gnustep-base (1.28.0-1) experimental; urgency=medium

  * New upstream release:
    - SONAME change: libgnustep-base1.27 -> 1.28.
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/templates/control.m4 (Build-Depends): Switch to
    debhelper-compat.  Remove dh-exec; not needed as of this release.
    (Uploaders): Change Gürkan's email address.
    (Standards-Version): Bump to 4.6.0; no changes required.
  * debian/control: Regenerate, reflecting the SONAME change.
  * debian/compat: Delete.
  * debian/rules (v_make): Bump to 2.9.0 for @setfilename fix;
    the package will FTBFS with older versions of gnustep-make.
    (override_dh_auto_configure): Do not generate
    gnustep-base-doc.install and gnustep-base-runtime.install from
    templates; utterly pointless.
    (override_dh_auto_install-indep): Convert French and German
    translations to UTF-8 to avoid lintian warning.
  * debian/templates/gnustep-base-doc.install.in: Delete.
  * debian/templates/gnustep-base-runtime.install.in: Likewise.
  * debian/gnustep-base-doc.install: New file.
  * debian/gnustep-base-runtime.install: Likewise.
  * debian/templates/gnustep-base-runtime.links.in: Adjust symlink for
    pl's manpage.
  * debian/clean: Adjust for the new SONAME and doc-related changes.
  * debian/not-installed: Remove usr/share/info, now installed.
  * debian/gnustep-base-doc.doc-base.manual: Adjust PDF file.
  * debian/gnustep-base-doc.doc-base.standards: Likewise.
  * debian/patches/pkg-config-macro.patch: Refresh.
  * debian/patches/fix-spelling-error.patch: Likewise.
  * debian/patches/fix-tests-network.patch: Likewise.
  * debian/patches/doc-links.patch: Remove; applied upstream.
  * debian/patches/icu65.patch: Likewise.
  * debian/patches/gstls-time_t-limitation.patch: Likewise.
  * debian/patches/pldes-manpage-rename.patch: Remove; no longer necessary
    following the restoration of the pl tool.
  * debian/patches/plutil-manpage.patch: New; install plutil manpage and
    fix some roff warnings that cause lintian warnings.
  * debian/patches/series: Update.
  * debian/README.Debian: Delete; no longer needed.
  * debian/gnustep-base-runtime.lintian-overrides: Amend to match current
    lintian's expectations.
  * debian/gnustep-base-doc.lintian-overrides: Let it apply to all docs.
  * debian/gnustep-base-runtime.preinst: Delete; no longer needed.
  * debian/changelog: Typo fix.
  * debian/copyright: Update copyright years, fix redundant pattern.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 14 Nov 2021 16:50:04 +0200

gnustep-base (1.27.0-4) unstable; urgency=medium

  * debian/rules (override_dh_auto_configure): Fix FTBFS with
    Autoconf/2.71 (Closes: #995007).

 -- Yavor Doganov <yavor@gnu.org>  Wed, 29 Sep 2021 22:15:52 +0300
