=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Source: gnustep-base
 Maintainer: Debian GNUstep maintainers <pkg-gnustep-maintainers@lists.alioth.debian.org>
 Uploaders: Eric Heintzmann <heintzmann.eric@free.fr>,
-           Gürkan Myczko <gurkan@phys.ethz.ch>,
+           Gürkan Myczko <tar@debian.org>,
            Yavor Doganov <yavor@gnu.org>
 Section: gnustep
 Priority: optional
-Build-Depends: debhelper (>= 13~),
-               gnustep-make (>= 2.7.0-4),
+Build-Depends: debhelper-compat (= 13),
+               gnustep-make (>= 2.9.0),
                gobjc,
                libffi-dev,
                libxml2-dev,
@@ -18,7 +18,6 @@
                m4,
                libavahi-client-dev,
                libicu-dev,
-               dh-exec,
                tzdata
 Build-Depends-Indep: texinfo,
                      texlive-latex-base,
@@ -26,14 +25,14 @@
                      xml-core
 Build-Conflicts: libgmp3-dev
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-base
 Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-base.git
 Homepage: http://gnustep.org
 
 Package: gnustep-base-common
 Architecture: all
-Depends: gnustep-common (>= 2.7.0-4),
+Depends: gnustep-common (>= 2.9.0),
          ca-certificates,
          tzdata,
          ${misc:Depends}
@@ -60,7 +59,7 @@
  This package contains the runtime support files needed by GNUstep
  applications.
 
-Package: libgnustep-base1.27
+Package: libgnustep-base1.28
 Section: libs
 Architecture: any
 Depends: gnustep-base-common (= ${source:Version}),
@@ -81,9 +80,9 @@
 Package: libgnustep-base-dev
 Section: libdevel
 Architecture: any
-Depends: libgnustep-base1.27 (= ${binary:Version}),
+Depends: libgnustep-base1.28 (= ${binary:Version}),
          gnustep-base-runtime (= ${binary:Version}),
-         gnustep-make (>= 2.7.0-4),
+         gnustep-make (>= 2.9.0),
          ${misc:Depends}
 Suggests: gnustep-base-doc
 Description: GNUstep Base header files and development libraries
