## gnustep-base 1.28.1

=== debian/changelog ===
gnustep-base (1.28.1-2) unstable; urgency=medium

  * debian/patches/nstimezone-32bit-time_t.patch: New; skip tests that
    rely on 64bit time_t on all 32-bit architectures (Closes: #1028020).
  * debian/patches/series: Update.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 06 Jan 2023 11:45:04 +0200

gnustep-base (1.28.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/fix-tests-network.patch: Update and refresh.
  * debian/patches/texinfo5.diff: Refresh.
  * debian/patches/fix-tests-timings.patch: Remove unnecessary hunks.
  * debian/patches/hurd-nsurlconnection.patch: Refresh.
  * debian/patches/plutil-manpage.patch: Remove hunk applied upstream.
  * debian/patches/tmp-test-fix.patch: New; disable two tests as temporary
    measure; more investigation is needed.
  * debian/patches/series: Update.
  * debian/templates/control.m4 (Build-Depends): Add gnutls-bin
    <!nocheck>; needed by GSTLS tests.
    (libgnustep-base`'SOV_BASE) <Depends>: Add gnutls-bin, required by
    GSTLS.
    (Standards-Version): Bump to 4.6.2; no changes needed.
  * debian/control: Regenerate.
  * debian/rules (override_dh_auto_install-indep): Do not convert
    translations; no longer needed.
  * debian/gnustep-base-common.docs: Adjust renamed README file.
  * debian/gnustep-base-doc.docs: Likewise.
  * debian/copyright: Update copyright years.

 -- Yavor Doganov <yavor@gnu.org>  Tue, 03 Jan 2023 19:33:10 +0200
