=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                gnustep-make (>= 2.9.0),
+               gnutls-bin <!nocheck>,
                gobjc,
                libffi-dev,
                libxml2-dev,
@@ -25,7 +26,7 @@
                      xml-core
 Build-Conflicts: libgmp3-dev
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnustep-team/gnustep-base
 Vcs-Git: https://salsa.debian.org/gnustep-team/gnustep-base.git
 Homepage: http://gnustep.org
@@ -63,6 +64,7 @@
 Section: libs
 Architecture: any
 Depends: gnustep-base-common (= ${source:Version}),
+         gnutls-bin,
          ${shlibs:Depends},
          ${misc:Depends}
 Recommends: gnustep-base-runtime (= ${binary:Version})
