=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 v_objc := 4:7.2
 
 # GNUstep Make version :
-v_make	:= 2.7.0-4
+v_make	:= 2.9.0
 
 # GNUstep Base version :
 v_base	:= $(shell . ./Version; echo $$VERSION)
@@ -70,11 +70,6 @@
 		    -e 's,@GSMAKEFILES@,$(GNUSTEP_MAKEFILES),g' \
 		    debian/templates/$(p_run).gdomap.init.in > debian/$(p_run).gdomap.init;
 
-# generate gnustep-base-runtime.install file
-	sed -e 's,@GS_TOOLS@,$(GNUSTEP_SYSTEM_TOOLS),g' \
-	    debian/templates/$(p_run).install.in > debian/$(p_run).install; \
-		chmod a+x debian/$(p_run).install
-
 # generate gnustep-base-runtime.links file
 	sed -e 's,@GS_MANPAGES@,$(GNUSTEP_SYSTEM_DOC_MAN),g' \
 	    debian/templates/$(p_run).links.in > debian/$(p_run).links;
@@ -102,16 +97,19 @@
 	    -e 's,@GS_MAKEFILES@,$(GNUSTEP_MAKEFILES),g' \
 	    debian/templates/$(p_dev).install.in > debian/$(p_dev).install
 
-# generate gnustep-base-doc.install file
-	sed -e 's,@GS_DOC@,$(GNUSTEP_SYSTEM_DOC),g' \
-	    -e 's,@GS_INFO@,$(GNUSTEP_SYSTEM_DOC_INFO),g' \
-	    debian/templates/$(p_doc).install.in > debian/$(p_doc).install; \
-		chmod a+x debian/$(p_doc).install
-
 # Override the test for libkvm to ensure that /proc is used on
 # GNU/kFreeBSD even if libkvm-dev is installed (#593898).
+# Workaround FTBFS with Autoconf/2.71 (#995007) related to
+# AC_CONFIG_AUX_DIR; more investigation is needed for a proper fix.
+# In principle it is not necessary to pass --with-installation-domain
+# because it is derived by gnustep-config which in turn checks the
+# GNUSTEP_INSTALLATION_DOMAIN variable (defined in config.mk which is
+# included here).  However, for some reason 1.28.0-1 mysteriously
+# failed to build on GNU/Hurd so this is an attempt to fix it.
 	dh_auto_configure -- \
+	    CURRENT_GNUSTEP_MAKEFILES=$(GNUSTEP_MAKEFILES) \
 	    ac_cv_lib_kvm_kvm_getenvv=no \
+	    --with-installation-domain=SYSTEM \
 	    --disable-bfd  || (cat config.log; exit 1)
 
 override_dh_auto_build-arch:
@@ -148,6 +146,13 @@
 override_dh_auto_test:
 	dh_auto_test -- \
 	    $(verbose)  || (cat Tests/tests.log; exit 1)
+# Print result from failing test on GNU/kFreeBSD and eventually
+# GNU/Hurd; see debian/patches/kbsd-test.patch.
+ifeq (,(filter nocheck,$(DEB_BUILD_OPTIONS)))
+ifneq ($(DEB_BUILD_ARCH_OS),linux)
+	-cat Tests/base/NSFileManager/result.log
+endif
+endif
 
 override_dh_auto_install-arch:
 # install shared version of libraries
