## gnustep-base 1.28.1+really1.28.0

=== debian/changelog ===
gnustep-base (1.28.1+really1.28.0-5) unstable; urgency=medium

  * Revert uploads 1.28.1-1 and 1.28.1-2 thus restoring upstream 1.28.0
    release.  1.28.1 was mistakently uploaded to unstable as it introduced
    an ABI break discovered post-factum (Closes: #1028189).
  * debian/gbp.conf: Set debian-branch to snafu.

 -- Yavor Doganov <yavor@gnu.org>  Mon, 09 Jan 2023 16:54:48 +0200
