=== debian/rules ===
--- 
+++ 
@@ -181,6 +181,12 @@
 # package-contains-documentation-outside-usr-share-doc.  These
 # instructions are unnecessary as the Debian package uses tzdata.
 	$(RM) debian/tmp/usr/lib/GNUstep/Libraries/gnustep-base/Versions/$(sov_base)/Resources/NSTimeZones/README
+# Convert translations to UTF-8 to avoid lintian warnings.
+	for l in French German; do \
+	  uconv -f UTF-16BE -t UTF-8 --add-signature \
+	    < Resources/$$l.lproj/Localizable.strings > \
+	    debian/tmp/usr/lib/GNUstep/Libraries/gnustep-base/Versions/$(sov_base)/Resources/$$l.lproj/Localizable.strings; \
+	done
 
 override_dh_auto_clean-indep:
 	dh_auto_clean -- \
