## gnustep-base 1.29.0

=== debian/changelog ===
gnustep-base (1.29.0-4ubuntu2) mantic; urgency=medium

  * Revert previous upload, disable failing tests instead

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Jul 2023 16:38:58 +0200

gnustep-base (1.29.0-4ubuntu1) mantic; urgency=medium

  * Increase timeouts again, they don't fail locally and in Debian

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 05 Jul 2023 16:09:40 +0200

gnustep-base (1.29.0-4) unstable; urgency=medium

  * Upload to unstable.
  * debian/gbp.conf: Remove debian-branch.
  * debian/patches/tmp-test-fix.patch: Move #include of tzdb.h in
    NSTimeZone.m a bit earlier so that the POSIX_TZONES conditional is
    correct.  As of tzdata/2023c-6 /usr/share/zoneinfo/posix is removed.

 -- Yavor Doganov <yavor@gnu.org>  Fri, 16 Jun 2023 23:14:46 +0300

gnustep-base (1.29.0-3) experimental; urgency=medium

  * debian/patches/nscalendardate-hppa+ppc.patch: Fix conditional.  Also
    skip NSTimeZone localtime tests on these architectures.
  * debian/patches/kbsd-test.patch: Adjust conditional to match
    GNU/kFreeBSD only; the test passes on GNU/Hurd.
  * debian/rules (override_dh_auto_test): Print the result of the failing
    NSFileManager test only on GNU/kFreeBSD.

 -- Yavor Doganov <yavor@gnu.org>  Thu, 23 Feb 2023 15:10:21 +0200

gnustep-base (1.29.0-2) experimental; urgency=medium

  * debian/patches/nstimezone-32bit-time_t.patch: Fix stupid typo which
    caused build failure for that file.
  * debian/patches/nscalendardate-hppa+ppc.patch: New; as temporary
    measure skip DST tests on hppa and powerpc.
  * debian/patches/texinfo5.diff: Delete; fixed upstream in a better way.
  * debian/rules (v_make): Bump to 2.9.1-2, for "nodoc" support.
    (override_dh_auto_configure): Conditionally create .install and .links
    files for the gnustep-base-doc package.
    (override_dh_auto_build-indep): Enclose documentation-related commands
    within an appropriate nodoc conditional.
    (override_dh_auto_install-indep): Likewise.
    (override_dh_auto_test): Remove unnecessary conditional.
  * debian/templates/control.m4 (Build-Depends-Indep): Annotate all but
    xml-core with <!nodoc>; they are only needed for building docs.
    (gnustep-base-doc) <Build-Profiles>: Set to <!nodoc>.
    (gnustep-base-runtime) <Depends>: Remove lsb-base; obsolete.
  * debian/control: Regenerate.
  * debian/gnustep-base-doc.install: Rename as...
  * debian/templates/gnustep-base-doc.install.in: ...for "nodoc" support.
  * debian/gnustep-base-doc.links: Rename as...
  * debian/templates/gnustep-base-doc.links.in: ...as above.
  * debian/clean: Add gnustep-base-doc.{install,links}.

 -- Yavor Doganov <yavor@gnu.org>  Wed, 22 Feb 2023 18:53:19 +0200

gnustep-base (1.29.0-1) experimental; urgency=medium

  * New upstream release (identical to 1.28.1 which was mistakenly
    uploaded to unstable).
  * debian/gbp.conf: Set debian-branch to experimental.
  * debian/control: Regenerate to reflect the SONAME change.

 -- Yavor Doganov <yavor@gnu.org>  Sun, 08 Jan 2023 11:10:35 +0200
