=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Section: gnustep
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               gnustep-make (>= 2.9.0),
+               gnustep-make (>= 2.9.1-2),
                gnutls-bin <!nocheck>,
                gobjc,
                libffi-dev,
@@ -20,9 +20,9 @@
                libavahi-client-dev,
                libicu-dev,
                tzdata
-Build-Depends-Indep: texinfo,
-                     texlive-latex-base,
-                     texlive-fonts-recommended,
+Build-Depends-Indep: texinfo <!nodoc>,
+                     texlive-latex-base <!nodoc>,
+                     texlive-fonts-recommended <!nodoc>,
                      xml-core
 Build-Conflicts: libgmp3-dev
 Rules-Requires-Root: no
@@ -33,7 +33,7 @@
 
 Package: gnustep-base-common
 Architecture: all
-Depends: gnustep-common (>= 2.9.0),
+Depends: gnustep-common (>= 2.9.1-2),
          ca-certificates,
          tzdata,
          ${misc:Depends}
@@ -50,7 +50,6 @@
 Depends: gnustep-base-common (= ${source:Version}),
          ${shlibs:Depends},
          ${misc:Depends},
-         lsb-base
 Description: GNUstep Base library - daemons and tools
  The GNUstep Base Library is a powerful fast library of
  general-purpose, non-graphical Objective C classes, inspired by the
@@ -60,7 +59,7 @@
  This package contains the runtime support files needed by GNUstep
  applications.
 
-Package: libgnustep-base1.28
+Package: libgnustep-base1.29
 Section: libs
 Architecture: any
 Depends: gnustep-base-common (= ${source:Version}),
@@ -82,9 +81,9 @@
 Package: libgnustep-base-dev
 Section: libdevel
 Architecture: any
-Depends: libgnustep-base1.28 (= ${binary:Version}),
+Depends: libgnustep-base1.29 (= ${binary:Version}),
          gnustep-base-runtime (= ${binary:Version}),
-         gnustep-make (>= 2.9.0),
+         gnustep-make (>= 2.9.1-2),
          ${misc:Depends}
 Suggests: gnustep-base-doc
 Description: GNUstep Base header files and development libraries
@@ -97,6 +96,7 @@
 Package: gnustep-base-doc
 Section: doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: libgnustep-base-dev
