=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 v_objc := 4:7.2
 
 # GNUstep Make version :
-v_make	:= 2.9.0
+v_make	:= 2.9.1-2
 
 # GNUstep Base version :
 v_base	:= $(shell . ./Version; echo $$VERSION)
@@ -96,6 +96,14 @@
 	    -e 's,@GS_LIBS@,$(GNUSTEP_SYSTEM_LIBRARIES),g' \
 	    -e 's,@GS_MAKEFILES@,$(GNUSTEP_MAKEFILES),g' \
 	    debian/templates/$(p_dev).install.in > debian/$(p_dev).install
+
+# When "nodoc" is present in DEB_BUILD_OPTIONS, the gnustep-make-doc
+# package is created nearly empty, as required by Policy.  If it is
+# also present in DEB_BUILD_PROFILES, the package is not built at all.
+ifdef docs
+	cp debian/templates/$(p_doc).install.in debian/$(p_doc).install
+	cp debian/templates/$(p_doc).links.in debian/$(p_doc).links
+endif
 
 # Override the test for libkvm to ensure that /proc is used on
 # GNU/kFreeBSD even if libkvm-dev is installed (#593898).
@@ -135,23 +143,23 @@
 	    $(optim) \
 	    doc=no
 
+ifdef docs
 # build main doc. Make sure autogsdoc can find the libraries.
 	LD_LIBRARY_PATH=$(CURDIR)/Source/obj:$$LD_LIBRARY_PATH \
 	dh_auto_build -- \
 	    -C Documentation \
 	    $(verbose) \
 	    $(optim) \
-	    doc=yes
+	    $(docs)
+endif
 
 override_dh_auto_test:
 	dh_auto_test -- \
 	    $(verbose)  || (cat Tests/tests.log; exit 1)
-# Print result from failing test on GNU/kFreeBSD and eventually
-# GNU/Hurd; see debian/patches/kbsd-test.patch.
-ifeq (,(filter nocheck,$(DEB_BUILD_OPTIONS)))
-ifneq ($(DEB_BUILD_ARCH_OS),linux)
+# Print result from failing test on GNU/kFreeBSD; see
+# debian/patches/kbsd-test.patch.
+ifeq ($(DEB_BUILD_ARCH_OS),kfreebsd)
 	-cat Tests/base/NSFileManager/result.log
-endif
 endif
 
 override_dh_auto_install-arch:
@@ -170,23 +178,19 @@
 	dh_auto_install -- \
 	    doc=no
 
+ifdef docs
 # install doc
 	dh_auto_install -- \
 	    -C Documentation \
-	    doc=yes
+	    $(docs)
 # Delete duplicate files already shipped at /usr/share/doc/.
 	$(RM) -r \
 	  debian/tmp$(GNUSTEP_SYSTEM_DOC)/Developer/Base/ReleaseNotes/1.*
+endif
 # Delete README which triggers lintian I: gnustep-base-common:
 # package-contains-documentation-outside-usr-share-doc.  These
 # instructions are unnecessary as the Debian package uses tzdata.
 	$(RM) debian/tmp/usr/lib/GNUstep/Libraries/gnustep-base/Versions/$(sov_base)/Resources/NSTimeZones/README
-# Convert translations to UTF-8 to avoid lintian warnings.
-	for l in French German; do \
-	  uconv -f UTF-16BE -t UTF-8 --add-signature \
-	    < Resources/$$l.lproj/Localizable.strings > \
-	    debian/tmp/usr/lib/GNUstep/Libraries/gnustep-base/Versions/$(sov_base)/Resources/$$l.lproj/Localizable.strings; \
-	done
 
 override_dh_auto_clean-indep:
 	dh_auto_clean -- \
